[Scipy-tickets] [SciPy] #1365: scipy/sparse/sparsetools/csr_wrap.cxx:2452:51: error: 'PyCObject_Import' was not declared in this scope

SciPy Trac scipy-tickets@scipy....
Tue Jan 18 08:01:39 CST 2011


#1365: scipy/sparse/sparsetools/csr_wrap.cxx:2452:51: error: 'PyCObject_Import'
was not declared in this scope
--------------------------+-------------------------------------------------
 Reporter:  pj            |       Owner:  cdavid
     Type:  defect        |      Status:  new   
 Priority:  normal        |   Milestone:  0.9.0 
Component:  Build issues  |     Version:  devel 
 Keywords:                |  
--------------------------+-------------------------------------------------

Comment(by rgommers):

 Ah, I thought Christoph reported it didn't work for him. Should have
 tested myself, sorry about that.

 Works like a charm for me: without your patch I get the same error as
 ticket submitter, with it compilation is fine and I get only one new
 (unrelated) error:
 {{{
 $ python3.2
 Python 3.2rc1 (r32rc1:88040, Jan 15 2011, 14:11:31)
 [GCC 4.0.1 (Apple Inc. build 5493)] on darwin
 Type "help", "copyright", "credits" or "license" for more information.
 >>> import scipy.interpolate
 Traceback (most recent call last):
   File "<stdin>", line 1, in <module>
   File "/Library/Frameworks/Python.framework/Versions/3.2/lib/python3.2
 /site-packages/scipy/interpolate/__init__.py", line 15, in <module>
     from .polyint import *
 AttributeError: 'module' object has no attribute 'BarycentricInterpolator'
 >>>
 }}}

 Commit and backport to 0.9.x I'd say.

-- 
Ticket URL: <http://projects.scipy.org/scipy/ticket/1365#comment:3>
SciPy <http://www.scipy.org>
SciPy is open-source software for mathematics, science, and engineering.


More information about the Scipy-tickets mailing list